//数据加载
function loadIndex(){
    $.ajax({
        url: "/homePageIndex/getHeadData",
        type: "get",
        dateType: "json",
        headers: {"token": localStorage.getItem("token")},
        success: (data) => {
            if(data.msg == "200"){
                eleDrawing(data);//头部渲染
                echartsLoad(data.thisYearOffer);//报价单
                chinaMapLoad(data);//地图
                messageLoad(data.messageRemid);//消息提醒
                loadUser();//个人信息初始化
            } else {
                layer.alert(data.errMsg, {icon: 2});
            }
            layer.closeAll("loading");
        },
        error: () => {
            layer.alert("服务器异常，请联系管理员", {icon: 2});
            layer.closeAll("loading");
        }
    })
}
//头部渲染
function eleDrawing(data){
    //报价单
    $(".quotation_single .today_div_offer").find(".today_data").html(data.offer.todayNum);//今日报价
    $(".quotation_single .today_div_offer").find(".yesterday_data").html(paramReturn("昨日", parent.type) + "：" + data.offer.yesterdayNum);//昨日报价
    $(".quotation_single .thisMonth_div_offer").find(".today_data").html(data.offer.thisMonthNum);//本月报价
    $(".quotation_single .thisMonth_div_offer").find(".yesterday_data").html(paramReturn("上月", parent.type) + "：" + data.offer.lastMonthNum);//上月报价
    $(".quotation_single .thisYear_div_offer").find(".today_data").html(data.offer.thisYearNum);//本年报价
    $(".quotation_single .thisYear_div_offer").find(".yesterday_data").html(paramReturn("去年", parent.type) + "：" + data.offer.lastYearNum);//去年报价
    //成交
    $(".clinch_a_deal .today_div_offer").find(".today_data").html(data.offer.todayClinch);//今日成交
    if(data.income != null){
        $(".clinch_a_deal .today_div_offer").find(".yesterday_data").html(paramReturn("昨日", parent.type) + "：" + data.offer.yesterdayClinch);//昨日成交
        $(".clinch_a_deal .thisMonth_div_offer").find(".today_data").html((data.income.thisMonthTotalFee - data.income.thisMonthRefundFee).toFixed(2));//本月收入
        $(".clinch_a_deal .thisMonth_div_offer").find(".yesterday_data").html(paramReturn("上月", parent.type) + "：" + (data.income.lastMonthTotalFee - data.income.lastMonthRefundFee).toFixed(2));//上月收入
        $(".clinch_a_deal .thisYear_div_offer").find(".today_data").html((data.income.thisYearTotalFee - data.income.thisYearRefundFee).toFixed(2));//上月收入
        $(".clinch_a_deal .thisYear_div_offer").find(".yesterday_data").html(paramReturn("去年", parent.type) + "：" + (data.income.lastYearTotalFee - data.income.lastYearRefundFee).toFixed(2));//上月收入
    }
    //报价单权限余额
    $(".offer_num_div .balance_of_fount").find("p").html(data.user.offerNum); //报价单权限余额
}
//消息提醒
function messageLoad(data){
    $(".message_bottom_div .message_val").eq(0).find("span").html(data.demandCount);//需求订单
    $(".message_bottom_div .message_val").eq(1).find("span").html(data.alreadyOffer);//已报价
    $(".message_bottom_div .message_val").eq(2).find("span").html(data.hasBeenPaid);//已付费
    $(".message_bottom_div .message_val").eq(3).find("span").html(data.clinch);//成交订单
    $(".message_bottom_div .message_val").eq(4).find("span").html(data.alreadyOffer);//报价单权限占用
    $(".message_bottom_div .message_val").eq(6).find("span").html(data.hasBeenPaid + data.alreadyOffer);//报价单权限使用
    $(".message_bottom_div .message_val").eq(7).find("span").html(data.refund);//退款申请
}
//报价单统计图表
function echartsLoad(data){
    let myChart = echarts.init(document.getElementById('columnar_chart'));
    option = {
        title: {
            text: year + paramReturn('年报价单统计', parent.type),
            textStyle: {
                fontSize: 24
            },
            x: 20,
            y: 28
        },
        color: ['#FDB525', '#2D8CF0'],
        legend: {
            data: ["报价单", '成交单'],
            x: '60%',
            y: 60,
            icon: 'circle',
            itemGap: 42
        },
        tooltip: {
            trigger: 'axis',
            axisPointer: {
                type: 'cross',
                crossStyle: {
                    color: '#999'
                }
            }
        },
        grid: {
            top: '32%',
            left: '3%',
            right: '4%',
            bottom: '3%',
            containLabel: true
        },
        xAxis: [
            {
                type: 'category',
                data: ['1月', '2月', '3月', '4月', '5月', '6月', '7月', '8月', '9月', '10月', '11月', '12月'],
                axisPointer: {
                    type: 'shadow'
                }
            }
        ],
        yAxis: {
            type: 'value',
            min: 0,
            interval: 50,
            splitLine: {
                //网格线
                lineStyle: {
                    type: 'dashed' //设置网格线类型 dotted：虚线   solid:实线
                },
                show: true //隐藏或显示
            }
        },
        series: [
            {
                name: '报价单',
                type: 'bar',
                barWidth: 18,
                data: data.thisYearOffer,
                itemStyle: {
                    normal: {
                        color: function (params) {
                            return '#FDB525';
                        }
                    }
                }
            },
            {
                name: '成交单',
                type: 'bar',
                barWidth: 18,
                data: data.thisYearClinch,
                itemStyle: {
                    normal: {
                        color: function (params) {
                            return '#2D8CF0';
                        }
                    }
                }
            }
        ]
    };
    myChart.setOption(option);
}
//全国热门目的地
function chinaMapLoad(data){
    let myChart = echarts.init(document.getElementById('destination_chart'));
    // echarts全局注册中国地图
    // echarts.registerMap('china', data);
    var option = {
        visualMap: {
            left: 'right',
            min: 0,
            max: 1000,
            inRange: {
                color: ['#313695', '#4575b4', '#74add1', '#abd9e9', '#e0f3f8', '#ffffbf', '#fee090', '#fdae61', '#f46d43', '#d73027', '#a50026']
            },
            calculable: true
        },
        title: {
            text: '热门目的地',
            textStyle: {
                fontSize: 24
            },
            x: 20,
            y: 28
        },
        tooltip: {
            trigger: 'item',
            showDelay: 0,
            transitionDuration: 0.2
        },
        series: [
            {
                name: '',
                type: 'map',
                map: 'china',  // 中国地图
                roam: false, // 滚动缩放
                itemStyle: {
                    areaColor: '#d0d2d4'  // 省份块的颜色
                },
                //省份名称是否显示
                label: {
                    show: true
                },
                // 地图的缩放比例
                zoom: 1.2,
                aspectScale: 0.75,
                emphasis: {
                    label: {
                        show: true
                    }
                },
                data: data.map
            }
        ]
    }
    // 指定配置及数据到echarts中
    myChart.setOption(option)
}
//个人信息初始化
function loadUser(){
    layer.load(3);
    $.ajax({
        url: "/personal/getPresonalMessage",
        type: "get",
        data: {},
        headers: {"token": localStorage.getItem("token")},
        dataType: "json",
        success: (data) => {
            if(data.msg == "200"){
                $(".name_div_val").find("div").html(data.data.name);
                $(".account_div .blance_content").find("p").html(data.data.balanceOf);
                $(".permissions_div .blance_content").find("p").html(data.data.offerNum);
                $(".message_bottom_div .message_val").eq(5).find("span").html(data.data.offerNum);//报价单权限剩余
            }
            layer.closeAll("loading");
        },
        error: () => {
            layer.closeAll("loading");
            layer.alert("网络错误 请联系管理员");
        }
    });
}